For the complete documentation index, see llms.txt. This page is also available as Markdown.

Invoices

Retrieve invoices for specific orders.

get

The output contains the binary code for invoices in the PDF file format, Base64 encoded (Base64 is used to represent binary data in the ASCII string format).

Path parameters
OrderReferencestringRequired

Reference number for approved/paid orders.

Example: 1234567
Header parameters
Acceptstring · enumRequiredDefault: application/jsonExample: application/jsonPossible values:
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Responses
200

OK

application/json
filenamestringOptionalExample: invoice_BV12333333.pdf
datastringOptionalExample: application/pdf;base64,BASE_64_DATA
get
/invoices/{OrderReference}/

Retrieve invoices for specific refunds.

get

The output contains the binary code for invoices in the PDF file format, Base64 encoded (Base64 is used to represent binary data in the ASCII string format).

Path parameters
OrderReferencestringRequired

Reference number for approved/paid orders.

Example: 1234567
TypestringRequired

One of the following: sale or refunds.

Example: refunds
CountnumberRequired

Choose a specific item out of multiple invoices.

Example: 0
Header parameters
Acceptstring · enumRequiredDefault: application/jsonExample: application/jsonPossible values:
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Responses
200

OK

application/json
filenamestringOptionalExample: invoice_BV12333333.pdf
datastringOptionalExample: application/pdf;base64,BASE_64_DATA
get
/invoices/{OrderReference}/{Type}/{Count}/

Last updated

Was this helpful?